searchNodes=[{"ref":"PhoenixActiveLink.html","title":"PhoenixActiveLink","type":"module","doc":"PhoenixActiveLink provides helpers to add active links in views. Configuration Default options can be customized in the configuration: use Mix.Config config :phoenix_active_link, :defaults, wrap_tag: :li, class_active: &quot;enabled&quot;, class_inactive: &quot;disabled&quot; Integrate in Phoenix The simplest way to add the helpers to Phoenix is to import PhoenixActiveLink either in your web.ex under views to have it available under every views, or under for example App.LayoutView to have it available in your layout."},{"ref":"PhoenixActiveLink.html#active_link/3","title":"PhoenixActiveLink.active_link/3","type":"function","doc":"active_link/3 is a wrapper around Phoenix.HTML.Link.link/2. It generates a link and adds an active class depending on the desired state. It can be customized using the following options. Options :active - See active_path?/2 documentation for more information :wrap_tag - Wraps the link in another tag which will also have the same active class. This options is useful for usage with li in bootstrap for example. :class_active - The class to add when the link is active. Defaults to &quot;active&quot; :class_inactive - The class to add when the link is not active. Empty by default. :active_disable - Uses a span element instead of an anchor when not active. Examples &lt;%= active_link(@conn, &quot;Link text&quot;, to: &quot;/my/path&quot;) %&gt; &lt;%= active_link(@conn, &quot;Link text&quot;, to: &quot;/my/path&quot;, wrap_tag: :li) %&gt; &lt;%= active_link(@conn, &quot;Link text&quot;, to: &quot;/my/path&quot;, active: :exact) %&gt;"},{"ref":"PhoenixActiveLink.html#active_path?/2","title":"PhoenixActiveLink.active_path?/2","type":"function","doc":"active_path?/2 is a helper to determine if the element should be in active state or not. The :opts should contain the :to option and the active detection can be customized using by passing :active one of the following values. true - Will always return true false - Will always return false :inclusive - Will return true if the current path starts with the link path. For example, active_path?(conn, to: &quot;/foo&quot;) will return true if the path is &quot;/foo&quot; or &quot;/foobar&quot;. :exclusive - Will return true if the current path and the link path are the same, but will ignore the trailing slashes For example, active_path?(conn, &quot;/foo&quot;) will return true when the path is &quot;/foo/&quot; :exact - Will return true if the current path and the link path are exactly the same, including trailing slashes. a %Regex{} - Will return true if the current path matches the regex. Beware that active?(conn, active: ~r/foo/) will return true if the path is &quot;/bar/foo&quot;, so you must use active?(conn, active: ~r/^foo/) if you want to match the begining of the path. a {controller, action} list - A list of tuples with a controller module and an action symbol. Both can be the :any symbol to match any controller or action. a {live_view, action} list - A list of tuples with a live view module and an action symbol. Both can be the :any symbol to match any live view module or action. :exact_with_params - Will return true if the current path and the link path are exactly the same, including trailing slashes and query string as is. :inclusive_with_params - Will return true if the current path is equal to the link path and the query params of the current path are included to the link path. For example, active_path?(conn, to: &quot;/foo?bar=2&quot;) will return true if the path is &quot;/foo?bar=2&quot; or &quot;/foo?baz=2&amp;bar=2&quot;. For example, active_path?(conn, to: &quot;/foo?bar=2&quot;) will return false if the path is &quot;/foobaz?bar=2&quot;. Examples active_path?(conn, to: &quot;/foo&quot;) active_path?(conn, to: &quot;/foo&quot;, active: false) active_path?(conn, to: &quot;/foo&quot;, active: :exclusive) active_path?(conn, to: &quot;/foo&quot;, active: ~r(^/foo/[0-9]+)) active_path?(conn, to: &quot;/foo&quot;, active: [{MyController, :index}, {OtherController, :any}]) active_path?(conn, to: &quot;/foo&quot;, active: [{MyLive, :index}, {OtherLive, :any}]) active_path?(conn, to: &quot;/foo?baz=2&quot;, active: :inclusive_with_params)"},{"ref":"readme.html","title":"phoenix-active-link","type":"extras","doc":"phoenix-active-link Elixir/Phoenix helper to create links with &quot;active&quot; state."},{"ref":"readme.html#installation","title":"phoenix-active-link - Installation","type":"extras","doc":"Add phoenix_active_link to your list of dependencies in mix.exs: def deps do [{:phoenix_active_link, &quot;~&gt; 0.2.1&quot;}] end"},{"ref":"readme.html#usage","title":"phoenix-active-link - Usage","type":"extras","doc":"First, add import PhoenixActiveLink to the quote of the view function in your web.ex. You can then use the functions as follow: &lt;header&gt; &lt;ul&gt; &lt;%= active_link(@conn, &quot;Dashboard&quot;, to: &quot;/&quot;, active: [{Dashboard, :index}], wrap_tag: :li) %&gt; &lt;%= active_link(@conn, &quot;Users&quot;, to: &quot;/users&quot;, wrap_tag: :li) %&gt; &lt;%= active_link(@conn, to: &quot;/users&quot;, wrap_tag: :li) do %&gt; &lt;img src=&quot;foo.png&quot;&gt; &lt;% end %&gt; &lt;/ul&gt; &lt;/header&gt; If you prefer to write PhoenixActiveLink.active_link explicitly, you can skip the first step. Example of Active Tags To specify the active and inactive tags for the wrap tag, use class_active and class_inactive. Example: &lt;%= active_link(@conn, &quot;Home&quot;, to: &quot;/&quot;, wrap_tag: :li, class_active: &quot;active nav-item&quot;, class_inactive: &quot;nav-item&quot;) %&gt; Defaults can be set in the config.ex as noted in the documentation"},{"ref":"readme.html#documentation","title":"phoenix-active-link - Documentation","type":"extras","doc":"For more information, take a look at the documentation"},{"ref":"readme.html#credits","title":"phoenix-active-link - Credits","type":"extras","doc":"This library is inspired by/ported from active_link_to."}]